Bug 616785 - auto_update field doesn't stay enabled with info updates
auto_update field doesn't stay enabled with info updates
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Martin Minar
:
Depends On: 448140
Blocks: sat540-blockers
  Show dependency treegraph
 
Reported: 2010-07-21 08:22 EDT by Vishal Gaikwad
Modified: 2016-07-03 20:55 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 448140
Environment:
Last Closed: 2010-10-28 10:47:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vishal Gaikwad 2010-07-21 08:22:35 EDT
+++ This bug was initially created as a clone of Bug #448140 +++

RHN hosted appears to forget the auto_update setting if you do this procedure:

Enable "Auto Errata Update" here /rhn/systems/details/Edit.do , submit page.

That setting appears correctly here: /rhn/systems/details/Overview.do

Then click on the " (Edit These Properties)"

The checkbox is checked here: /rhn/systems/details/Edit.do , submit the page.

"Auto Errata Update" is then turned off :(

So it is like the /rhn/systems/details/Edit.do can't handle having the
auto_update checkbox checked beforehand...

I even reproduced this on Windblows Internet Exploiter

thanks!

--- Additional comment from sskracic@redhat.com on 2008-06-05 14:08:09 EDT ---

Fixed in r118799.

--- Additional comment from aowens@redhat.com on 2008-06-23 14:17:50 EDT ---

verified in dev

--- Additional comment from jarnzen@redhat.com on 2008-09-04 02:41:11 EDT ---

verified on webqa and webdev. marking as VERIFIED

--- Additional comment from akrherz@iastate.edu on 2010-06-14 11:05:19 EDT ---

Would somebody mind cloning this bug for RHN Satellite 5.3.0 ?  The same bug exists there.

thanks,
  daryl
Comment 2 Justin Sherrill 2010-08-04 17:48:37 EDT
Fixed:

5cadf76e8c2445b43e6148de61155780b7f866ed
Comment 4 Tomas Lestach 2010-10-20 09:18:13 EDT
Even if submitting rhn/systems/details/Edit.do page without changing anything (and "Automatic application of relevant errata" is enabled), feature stays enabled.

STAGE VALIDATED with Satellite-5.4.0-RHEL5-re20101015.0
Comment 5 Clifford Perry 2010-10-28 10:42:58 EDT
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.